
new fwd_ReportKill = -1;

public FWD_Register()
{
	//reportKill(killer, victim, weaponIndex, weaponName); 
	//iKiller, iVictim, iWeapon, szWpnName
	fwd_ReportKill = CreateMultiForward( "wc3_reportkill", ET_IGNORE, FP_CELL, FP_CELL, FP_CELL, FP_STRING );
}

public FWD_Destroy()
{
	DestroyForward( fwd_ReportKill );
}


#define Ham_Player_ResetMaxSpeed Ham_Item_PreFrame

//RegisterHam(Ham_Player_ResetMaxSpeed,"player","fwHamPlayerResetMaxSpeed",1);
public fwHamPlayerResetMaxSpeed(idUser)
{
	// Set the user's speed
	SHARED_SetSpeed( idUser );

	// Check to see if we should set the player's invisibility
	SHARED_INVIS_Set( idUser );

//	client_print(idUser,print_chat,"fwHamPlayerResetMaxSpeed");

	return HAM_IGNORED;
}